Package org.w3c.tidy

# Class TagCheckImpl.CheckMap

java.lang.Object
org.w3c.tidy.TagCheckImpl.CheckMap

All Implemented Interfaces:
  `TagCheck`

Enclosing class:
  `TagCheckImpl`

public static class TagCheckImpl.CheckMap extends Object implements TagCheck
Checker implementation for image maps.

## Constructor Summary

Constructors
Constructor
Description
`CheckMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check(Lexer lexer, Node node)`
Checks attributes in given Node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckMap

public CheckMap()

## Method Details

### check

public void check(Lexer lexer, Node node)
Description copied from interface: `TagCheck`
Checks attributes in given Node.

Specified by:
  `check` in interface `TagCheck`
Parameters:
  `lexer` - Lexer
  `node` - Node to check for valid attributes.
See Also:
  - `TagCheck.check(org.w3c.tidy.Lexer, org.w3c.tidy.Node)`